{
  "format_version": "1.12",
  "minecraft:recipe_shaped": {
    "description": {
    "identifier": "addon:c96"
    },
    "tags": [ "crafting_table" ],
    "pattern": [
      "X  ",
      " YZ",
      "  A"
    ],
    "key": {
      "X": {
        "item": "addon:short_barrel"
      },
      "Y": {
        "item": "addon:iron_plate"
      },
      "Z": {
        "item": "minecraft:iron_nugget"
      },
      "A": {
        "item": "addon:wooden_grip"
      }
    },
    "result": {
      "item": "addon:c96"
    }
  }
}